Skip to main content

Space

View as Markdown

Space object​

namestring[ 2 .. 30 ] charactersBeta

The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-space

descriptionstring<= 500 charactersBeta

The description of the app space.

Example: My app space for team applications.

statusobjectBetaOutput only

The status of the app space.

Show child attributesHide child attributes
statestringBetaOutput only

The state of the app space.

Values:

  • SPACE_CREATING
  • SPACE_ACTIVE
  • SPACE_ERROR
  • SPACE_DELETING
  • SPACE_DELETED
  • SPACE_UPDATING
messagestringBetaOutput only

Message providing context about the current state.

idstringBetaOutput only

The unique identifier of the app space.

create_timestringBetaOutput only

The creation time of the app space. Formatted timestamp in ISO 6801.

creatorstringBetaOutput only

The email of the user that created the app space.

Example: user@test.com

update_timestringBetaOutput only

The update time of the app space. Formatted timestamp in ISO 6801.

updaterstringBetaOutput only

The email of the user that last updated the app space.

Example: user@test.com

resourcesarray of objectBeta

Resources for the app space. Resources configured at the space level are available to all apps in the space.

Show child attributesHide child attributes
namestring[ 2 .. 30 ] characters

Key that identifies the resource within the app. The app configuration (app.yaml) references the resource by this key.

Example: api-key

descriptionstring<= 50 characters

Description of the App Resource.

Example: API key for external service.

secretobject

Secret the app is granted access to.

Show child attributesHide child attributes
scopestring

Scope of the secret to grant permission on.

Example: my-scope

keystring

Key of the secret to grant permission on.

Example: my-key

permissionstring

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values:

  • READ
  • WRITE
  • MANAGE

Example: READ

sql_warehouseobject

SQL warehouse the app is granted access to.

Show child attributesHide child attributes
idstring

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstring

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values:

  • CAN_MANAGE
  • CAN_USE
  • IS_OWNER

Example: CAN_USE

serving_endpointobject

Model serving endpoint the app is granted access to.

Show child attributesHide child attributes
namestring

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstring

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • CAN_QUERY
  • CAN_VIEW

Example: CAN_QUERY

jobobject

Lakeflow job the app is granted access to.

Show child attributesHide child attributes
idstring

Id of the job to grant permission on.

Example: 1234

permissionstring

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • IS_OWNER
  • CAN_MANAGE_RUN
  • CAN_VIEW

Example: CAN_VIEW

uc_securableobject

Unity Catalog securable (volume, table, function, connection or model service) the app is granted a privilege on.

Show child attributesHide child attributes
securable_full_namestring

Full name of the Unity Catalog securable. For volumes, tables and functions this is the three-level catalog.schema.object name.

Example: my-catalog.my-schema.my-volume

securable_typestring

Kind of Unity Catalog securable that securable_full_name refers to.

Values:

  • VOLUME
  • TABLE
  • FUNCTION
  • CONNECTION
  • MODEL_SERVICE

Example: VOLUME

permissionstring

Privilege to grant the app on the securable. The privilege must be valid for the securable type, such as READ_VOLUME for a volume or SELECT for a table.

Values:

  • READ_VOLUME
  • WRITE_VOLUME
  • SELECT
  • EXECUTE
  • USE_CONNECTION
  • MODIFY
securable_kindstringOutput only

The securable kind from Unity Catalog. See https://docs.databricks.com/api/workspace/tables/get#securable_kind_manifest-securable_kind.

databaseobject

Lakebase Provisioned database the app is granted access to.

Show child attributesHide child attributes
instance_namestring

Name of the Lakebase database instance.

Example: my-database-instance

database_namestring

Name of the database within the instance.

Example: my-database

permissionstring

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobject

Genie space the app is granted access to.

Show child attributesHide child attributes
namestring

Example: my-genie-space

space_idstring

ID of the Genie space.

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstring

Permission to grant the app on the Genie space.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_RUN
  • CAN_VIEW

Example: CAN_MANAGE

experimentobject

MLflow experiment the app is granted access to.

Show child attributesHide child attributes
experiment_idstring

ID of the MLflow experiment.

Example: 1021971371025173

permissionstring

Permission to grant the app on the experiment.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_READ

Example: CAN_MANAGE

appobject

Another app in the workspace that this app is granted access to.

Show child attributesHide child attributes
namestring

Name of the app to grant access to.

Example: my-app

permissionstring

Permission to grant on that app.

Values:

  • CAN_USE

Example: CAN_USE

postgresobject

Lakebase Autoscaling Postgres database the app is granted access to.

Show child attributesHide child attributes
branchstring

Resource name of the Lakebase Autoscaling branch, in the form projects/{project}/branches/{branch}.

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Resource name of the database within the branch, in the form projects/{project}/branches/{branch}/databases/{database}.

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

user_api_scopesarray of stringBeta

OAuth scopes for apps in the space.

effective_user_api_scopesarray of stringBetaOutput only

The effective api scopes granted to the user access token.

service_principal_idint64BetaOutput only

The service principal ID for the app space.

service_principal_namestringBetaOutput only

The service principal name for the app space.

service_principal_client_idstringuuidBetaOutput only

The service principal client ID for the app space.

usage_policy_idstringuuid= 36 charactersBeta

The usage policy ID for managing cost at the space level.

Example: 550e8400-e29b-41d4-a716-446655440000

effective_usage_policy_idstringuuidBetaOutput only

The effective usage policy ID used by apps in the space.

Get an app space Beta​

GET /api/2.0/app-spaces/{name}

Retrieves information for the app space with the supplied name.

API scopes: apps

Parameters​

namestringRequiredpath

The name of the app space.

Response​

Returns the Space object.

List app spaces Beta​

GET /api/2.0/app-spaces

Lists all app spaces in the workspace.

API scopes: apps

Parameters​

page_tokenstringquery

Pagination token to go to the next page of app spaces. Requests first page if absent.

page_sizeint32query

Upper bound for items returned.

Response​

Returns a list of Space objects.

Create an app space Beta​

POST /api/2.0/app-spaces

Creates a new app space.

API scopes: apps

Request body​

namestring[ 2 .. 30 ] charactersRequired

The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-space

descriptionstring<= 500 characters

The description of the app space.

Example: My app space for team applications.

resourcesarray of object

Resources for the app space. Resources configured at the space level are available to all apps in the space.

Show child attributesHide child attributes
namestring[ 2 .. 30 ] charactersRequired

Key that identifies the resource within the app. The app configuration (app.yaml) references the resource by this key.

Example: api-key

descriptionstring<= 50 characters

Description of the App Resource.

Example: API key for external service.

secretobject

Secret the app is granted access to.

Show child attributesHide child attributes
scopestringRequired

Scope of the secret to grant permission on.

Example: my-scope

keystringRequired

Key of the secret to grant permission on.

Example: my-key

permissionstringRequired

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values:

  • READ
  • WRITE
  • MANAGE

Example: READ

sql_warehouseobject

SQL warehouse the app is granted access to.

Show child attributesHide child attributes
idstringRequired

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstringRequired

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values:

  • CAN_MANAGE
  • CAN_USE
  • IS_OWNER

Example: CAN_USE

serving_endpointobject

Model serving endpoint the app is granted access to.

Show child attributesHide child attributes
namestringRequired

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstringRequired

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • CAN_QUERY
  • CAN_VIEW

Example: CAN_QUERY

jobobject

Lakeflow job the app is granted access to.

Show child attributesHide child attributes
idstringRequired

Id of the job to grant permission on.

Example: 1234

permissionstringRequired

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • IS_OWNER
  • CAN_MANAGE_RUN
  • CAN_VIEW

Example: CAN_VIEW

uc_securableobject

Unity Catalog securable (volume, table, function, connection or model service) the app is granted a privilege on.

Show child attributesHide child attributes
securable_full_namestringRequired

Full name of the Unity Catalog securable. For volumes, tables and functions this is the three-level catalog.schema.object name.

Example: my-catalog.my-schema.my-volume

securable_typestringRequired

Kind of Unity Catalog securable that securable_full_name refers to.

Values:

  • VOLUME
  • TABLE
  • FUNCTION
  • CONNECTION
  • MODEL_SERVICE

Example: VOLUME

permissionstringRequired

Privilege to grant the app on the securable. The privilege must be valid for the securable type, such as READ_VOLUME for a volume or SELECT for a table.

Values:

  • READ_VOLUME
  • WRITE_VOLUME
  • SELECT
  • EXECUTE
  • USE_CONNECTION
  • MODIFY
databaseobject

Lakebase Provisioned database the app is granted access to.

Show child attributesHide child attributes
instance_namestringRequired

Name of the Lakebase database instance.

Example: my-database-instance

database_namestringRequired

Name of the database within the instance.

Example: my-database

permissionstringRequired

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobject

Genie space the app is granted access to.

Show child attributesHide child attributes
namestringRequired

Example: my-genie-space

space_idstringRequired

ID of the Genie space.

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstringRequired

Permission to grant the app on the Genie space.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_RUN
  • CAN_VIEW

Example: CAN_MANAGE

experimentobject

MLflow experiment the app is granted access to.

Show child attributesHide child attributes
experiment_idstringRequired

ID of the MLflow experiment.

Example: 1021971371025173

permissionstringRequired

Permission to grant the app on the experiment.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_READ

Example: CAN_MANAGE

appobject

Another app in the workspace that this app is granted access to.

Show child attributesHide child attributes
namestring

Name of the app to grant access to.

Example: my-app

permissionstring

Permission to grant on that app.

Values:

  • CAN_USE

Example: CAN_USE

postgresobject

Lakebase Autoscaling Postgres database the app is granted access to.

Show child attributesHide child attributes
branchstring

Resource name of the Lakebase Autoscaling branch, in the form projects/{project}/branches/{branch}.

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Resource name of the database within the branch, in the form projects/{project}/branches/{branch}/databases/{database}.

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

user_api_scopesarray of string

OAuth scopes for apps in the space.

usage_policy_idstringuuid= 36 characters

The usage policy ID for managing cost at the space level.

Example: 550e8400-e29b-41d4-a716-446655440000

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.

Update an app space Beta​

PATCH /api/2.0/app-spaces/{name}

Updates an app space. The update process is asynchronous and the status of the update can be checked with the GetSpaceOperation method.

API scopes: apps

Parameters​

namestring[ 2 .. 30 ] charactersRequiredpath

The name of the app space. The name must contain only lowercase alphanumeric characters and hyphens. It must be unique within the workspace.

Example: my-space

update_maskstringRequiredquery

Request body​

descriptionstring<= 500 characters

The description of the app space.

Example: My app space for team applications.

resourcesarray of object

Resources for the app space. Resources configured at the space level are available to all apps in the space.

Show child attributesHide child attributes
namestring[ 2 .. 30 ] charactersRequired

Key that identifies the resource within the app. The app configuration (app.yaml) references the resource by this key.

Example: api-key

descriptionstring<= 50 characters

Description of the App Resource.

Example: API key for external service.

secretobject

Secret the app is granted access to.

Show child attributesHide child attributes
scopestringRequired

Scope of the secret to grant permission on.

Example: my-scope

keystringRequired

Key of the secret to grant permission on.

Example: my-key

permissionstringRequired

Permission to grant on the secret scope. For secrets, only one permission is allowed. Permission must be one of: "READ", "WRITE", "MANAGE".

Values:

  • READ
  • WRITE
  • MANAGE

Example: READ

sql_warehouseobject

SQL warehouse the app is granted access to.

Show child attributesHide child attributes
idstringRequired

Id of the SQL warehouse to grant permission on.

Example: e9ca293f79a74b5c

permissionstringRequired

Permission to grant on the SQL warehouse. Supported permissions are: "CAN_MANAGE", "CAN_USE", "IS_OWNER".

Values:

  • CAN_MANAGE
  • CAN_USE
  • IS_OWNER

Example: CAN_USE

serving_endpointobject

Model serving endpoint the app is granted access to.

Show child attributesHide child attributes
namestringRequired

Name of the serving endpoint to grant permission on.

Example: databricks-meta-llama-3-1-70b-instruct

permissionstringRequired

Permission to grant on the serving endpoint. Supported permissions are: "CAN_MANAGE", "CAN_QUERY", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • CAN_QUERY
  • CAN_VIEW

Example: CAN_QUERY

jobobject

Lakeflow job the app is granted access to.

Show child attributesHide child attributes
idstringRequired

Id of the job to grant permission on.

Example: 1234

permissionstringRequired

Permissions to grant on the Job. Supported permissions are: "CAN_MANAGE", "IS_OWNER", "CAN_MANAGE_RUN", "CAN_VIEW".

Values:

  • CAN_MANAGE
  • IS_OWNER
  • CAN_MANAGE_RUN
  • CAN_VIEW

Example: CAN_VIEW

uc_securableobject

Unity Catalog securable (volume, table, function, connection or model service) the app is granted a privilege on.

Show child attributesHide child attributes
securable_full_namestringRequired

Full name of the Unity Catalog securable. For volumes, tables and functions this is the three-level catalog.schema.object name.

Example: my-catalog.my-schema.my-volume

securable_typestringRequired

Kind of Unity Catalog securable that securable_full_name refers to.

Values:

  • VOLUME
  • TABLE
  • FUNCTION
  • CONNECTION
  • MODEL_SERVICE

Example: VOLUME

permissionstringRequired

Privilege to grant the app on the securable. The privilege must be valid for the securable type, such as READ_VOLUME for a volume or SELECT for a table.

Values:

  • READ_VOLUME
  • WRITE_VOLUME
  • SELECT
  • EXECUTE
  • USE_CONNECTION
  • MODIFY
databaseobject

Lakebase Provisioned database the app is granted access to.

Show child attributesHide child attributes
instance_namestringRequired

Name of the Lakebase database instance.

Example: my-database-instance

database_namestringRequired

Name of the database within the instance.

Example: my-database

permissionstringRequired

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

genie_spaceobject

Genie space the app is granted access to.

Show child attributesHide child attributes
namestringRequired

Example: my-genie-space

space_idstringRequired

ID of the Genie space.

Example: 550e8400-e29b-41d4-a716-446655440000

permissionstringRequired

Permission to grant the app on the Genie space.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_RUN
  • CAN_VIEW

Example: CAN_MANAGE

experimentobject

MLflow experiment the app is granted access to.

Show child attributesHide child attributes
experiment_idstringRequired

ID of the MLflow experiment.

Example: 1021971371025173

permissionstringRequired

Permission to grant the app on the experiment.

Values:

  • CAN_MANAGE
  • CAN_EDIT
  • CAN_READ

Example: CAN_MANAGE

appobject

Another app in the workspace that this app is granted access to.

Show child attributesHide child attributes
namestring

Name of the app to grant access to.

Example: my-app

permissionstring

Permission to grant on that app.

Values:

  • CAN_USE

Example: CAN_USE

postgresobject

Lakebase Autoscaling Postgres database the app is granted access to.

Show child attributesHide child attributes
branchstring

Resource name of the Lakebase Autoscaling branch, in the form projects/{project}/branches/{branch}.

Example: projects/proj-abc123/branches/branch-xyz789

databasestring

Resource name of the database within the branch, in the form projects/{project}/branches/{branch}/databases/{database}.

Example: projects/proj-abc123/branches/branch-xyz789/databases/db-456

permissionstring

Permission to grant the app on the database.

Values:

  • CAN_CONNECT_AND_CREATE

Example: CAN_CONNECT_AND_CREATE

user_api_scopesarray of string

OAuth scopes for apps in the space.

usage_policy_idstringuuid= 36 characters

The usage policy ID for managing cost at the space level.

Example: 550e8400-e29b-41d4-a716-446655440000

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.

Delete an app space Beta​

DELETE /api/2.0/app-spaces/{name}

Deletes an app space.

API scopes: apps

Parameters​

namestringRequiredpath

The name of the app space.

Response​

namestring

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata.

doneboolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject

The error result of the operation in case of failure or cancellation.

Show child attributesHide child attributes
error_codestring

Error codes returned by Databricks APIs to indicate specific failure conditions.

Values:

Show 81 possible values
  • UNKNOWN
  • INTERNAL_ERROR
  • TEMPORARILY_UNAVAILABLE
  • IO_ERROR
  • BAD_REQUEST
  • SERVICE_UNDER_MAINTENANCE
  • WORKSPACE_TEMPORARILY_UNAVAILABLE
  • DEADLINE_EXCEEDED
  • CANCELLED
  • RESOURCE_EXHAUSTED
  • ABORTED
  • NOT_FOUND
  • ALREADY_EXISTS
  • UNAUTHENTICATED
  • UNAVAILABLE
  • INVALID_PARAMETER_VALUE
  • ENDPOINT_NOT_FOUND
  • MALFORMED_REQUEST
  • INVALID_STATE
  • PERMISSION_DENIED
  • FEATURE_DISABLED
  • CUSTOMER_UNAUTHORIZED
  • REQUEST_LIMIT_EXCEEDED
  • RESOURCE_CONFLICT
  • UNPARSEABLE_HTTP_ERROR
  • NOT_IMPLEMENTED
  • DATA_LOSS
  • INVALID_STATE_TRANSITION
  • COULD_NOT_ACQUIRE_LOCK
  • RESOURCE_ALREADY_EXISTS
  • RESOURCE_DOES_NOT_EXIST
  • QUOTA_EXCEEDED
  • MAX_BLOCK_SIZE_EXCEEDED
  • MAX_READ_SIZE_EXCEEDED
  • PARTIAL_DELETE
  • MAX_LIST_SIZE_EXCEEDED
  • DRY_RUN_FAILED
  • RESOURCE_LIMIT_EXCEEDED
  • DIRECTORY_NOT_EMPTY
  • DIRECTORY_PROTECTED
  • MAX_NOTEBOOK_SIZE_EXCEEDED
  • MAX_CHILD_NODE_SIZE_EXCEEDED
  • SEARCH_QUERY_TOO_LONG
  • SEARCH_QUERY_TOO_SHORT
  • MANAGED_RESOURCE_GROUP_DOES_NOT_EXIST
  • PERMISSION_NOT_PROPAGATED
  • DEPLOYMENT_TIMEOUT
  • GIT_CONFLICT
  • GIT_UNKNOWN_REF
  • GIT_SENSITIVE_TOKEN_DETECTED
  • GIT_URL_NOT_ON_ALLOW_LIST
  • GIT_REMOTE_ERROR
  • PROJECTS_OPERATION_TIMEOUT
  • IPYNB_FILE_IN_REPO
  • INSECURE_PARTNER_RESPONSE
  • MALFORMED_PARTNER_RESPONSE
  • METASTORE_DOES_NOT_EXIST
  • DAC_DOES_NOT_EXIST
  • CATALOG_DOES_NOT_EXIST
  • SCHEMA_DOES_NOT_EXIST
  • TABLE_DOES_NOT_EXIST
  • SHARE_DOES_NOT_EXIST
  • RECIPIENT_DOES_NOT_EXIST
  • STORAGE_CREDENTIAL_DOES_NOT_EXIST
  • EXTERNAL_LOCATION_DOES_NOT_EXIST
  • PRINCIPAL_DOES_NOT_EXIST
  • PROVIDER_DOES_NOT_EXIST
  • METASTORE_ALREADY_EXISTS
  • DAC_ALREADY_EXISTS
  • CATALOG_ALREADY_EXISTS
  • SCHEMA_ALREADY_EXISTS
  • TABLE_ALREADY_EXISTS
  • SHARE_ALREADY_EXISTS
  • RECIPIENT_ALREADY_EXISTS
  • STORAGE_CREDENTIAL_ALREADY_EXISTS
  • EXTERNAL_LOCATION_ALREADY_EXISTS
  • PROVIDER_ALREADY_EXISTS
  • CATALOG_NOT_EMPTY
  • SCHEMA_NOT_EMPTY
  • METASTORE_NOT_EMPTY
  • PROVIDER_SHARE_NOT_ACCESSIBLE
messagestring
stack_tracestring
detailsarray of object
responseobject

The normal, successful response of the operation.